Bug 851680 - (mingw-libIDL) Review Request: mingw-libIDL - MinGW Windows IDL Parsing Library.
Review Request: mingw-libIDL - MinGW Windows IDL Parsing Library.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw-orbit2
  Show dependency treegraph
 
Reported: 2012-08-24 13:15 EDT by greg.hellings
Modified: 2015-02-05 23:01 EST (History)
5 users (show)

See Also:
Fixed In Version: mingw-libIDL-0.8.14-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-05 23:01:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
erik-fedora: fedora‑review+
greg.hellings: needinfo+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2012-08-24 13:15:01 EDT
Spec URL: http://dl.thehellings.com/mingw32/libidl/mingw-libidl.spec
SRPM URL: http://dl.thehellings.com/mingw32/libidl/mingw-libIDL-0.8.14-1.fc17.src.rpm
Description: MinGW Windows IDL Parsing Library.
Fedora Account System Username: greghellings

I have also built this and other dependent libraries on OBS at https://build.opensuse.org/package/show?package=mingw-libidl&project=home%3Agreg_hellings%3Afedora-mingw
Comment 1 Erik van Pienbroek 2013-08-03 15:23:07 EDT
Taking for review

* The %global's mingw_build_win32 and mingw_build_win64 aren't needed any more and can be removed
* It shouldn't be necessary to use config.cache files. Both these files contain lt_cv_deplibs_check_method='pass_all'. This indicates that an ancient autoconf was used to prepare this package which isn't aware of mingw-w64. To resolve that you can better try to add 'BuildRequires: autoconf automake libtool' and run 'autoreconf --install --force' in the %prep section
* Manually copying the .def files shouldn't be necessary. More likely one of the Makefile.am files needs to be updated so that it references to $(srcdir)/libIDL.def instead of just 'libIDL.def'
* Info files which are also present in native packages don't have to be bundled in the mingw package
Comment 2 greg.hellings 2013-12-14 14:00:56 EST
Updated spec file: http://dl.thehellings.com/mingw32/libidl/mingw-libidl.spec
New SRPM: http://dl.thehellings.com/mingw32/libidl/mingw-libIDL-0.8.14-2.fc19.src.rpm

Personally I'd rather not maintain a patch just for the installation of the .def files, if it's not necessary. The rest of the items are addressed.
Comment 3 Erik van Pienbroek 2014-02-09 10:49:52 EST
$ rpmlint mingw-libidl.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-libIDL-0.8.14-2.fc20.src.rpm 
mingw-libIDL.src: E: invalid-spec-name
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

$ rpmlint mingw32-libIDL-0.8.14-2.fc20.noarch.rpm mingw32-libIDL-static-0.8.14-2.fc20.noarch.rpm mingw64-libIDL-0.8.14-2.fc20.noarch.rpm mingw64-libIDL-static-0.8.14-2.fc20.noarch.rpm 
mingw32-libIDL.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-libIDL/COPYING
mingw32-libIDL.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/libIDL-2.0/libIDL/IDL.h
mingw32-libIDL-static.noarch: W: no-documentation
mingw64-libIDL.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-libIDL/COPYING
mingw64-libIDL.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/libIDL-2.0/libIDL/IDL.h
mingw64-libIDL-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 4 errors, 2 warnings.


$ rpm --query --requires mingw32-libIDL
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglib-2.0-0.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
mingw32(user32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-libIDL
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(kernel32.dll)
mingw64(libglib-2.0-0.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
mingw64(user32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-libIDL-static
mingw32-libIDL = 0.8.14-2.fc20
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-libIDL-static
mingw64-libIDL = 0.8.14-2.fc20
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-libIDL
mingw32-libIDL = 0.8.14-2.fc20
mingw32(libidl-2-0.dll)

$ rpm --query --provides mingw64-libIDL
mingw64-libIDL = 0.8.14-2.fc20
mingw64(libidl-2-0.dll)

$ rpm --query --provides mingw32-libIDL-static
mingw32-libIDL-static = 0.8.14-2.fc20

$ rpm --query --provides mingw64-libIDL-static
mingw64-libIDL-static = 0.8.14-2.fc20


$ wget --quiet ftp://ftp.gnome.org/pub/GNOME/sources/libIDL/0.8/libIDL-0.8.14.tar.bz2 -O - | md5sum
bb8e10a218fac793a52d404d14adedcb  -
$ md5sum libIDL-0.8.14.tar.bz2 
bb8e10a218fac793a52d404d14adedcb  libIDL-0.8.14.tar.bz2


+ OK
! Needs to be looked into
/ Not applicable

[!] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The filename of the spec file (mingw-libidl.spec) doesn't match the package
name (mingw-libIDL). Please change this before importing this package in Fedora

The incorrect-fsf-address rpmlint warning should be reported upstream, but
they're not blocking for this review

The mingw32 package seems to depend on libgcc_s_sjlj-1.dll while the mingw64
package doesn't. I've also seen this on various other packages so we can
ignore this for now


==================================================
 The package mingw-libIDL is APPROVED by epienbro
==================================================
Comment 4 greg.hellings 2014-05-16 01:03:47 EDT
Thanks! (a little late)

New Package SCM Request
=======================
Package Name: mingw-libidl
Short Description: MinGW Windows IDL Parsing Library
Upstream URL: http://ftp.gnome.org/pub/gnome/sources/libIDL/
Owners: greghellings
Branches: f20
InitialCC:
Comment 5 Jon Ciesla 2014-05-16 11:48:40 EDT
Git done (by process-git-requests).
Comment 6 Erik van Pienbroek 2014-12-22 06:56:20 EST
Hi Greg,

I just noticed that you haven't imported this package in the Fedora git yet. Could you please do this so we can close this ticket?
Comment 7 greg.hellings 2015-01-16 15:45:28 EST
As per the review, my initial SCM request was incorrect. I'm opening a new one. If the mingw-libidl one could be removed and replaced with this more correct one, I'd appreciate that.

New Package SCM Request
=======================
Package Name: mingw-libIDL
Short Description: MinGW Windows IDL Parsing Library
Upstream URL: http://ftp.gnome.org/pub/gnome/sources/libIDL/
Owners: greghellings
Branches: f20 f21
InitialCC:
Comment 8 Jon Ciesla 2015-01-18 17:28:37 EST
WARNING: Requested package name mingw-libIDL doesn't match bug summary
mingw-libidl 

Please correct.
Comment 9 greg.hellings 2015-01-19 10:38:35 EST
Updated summary
Comment 10 Jon Ciesla 2015-01-20 08:35:18 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2015-01-26 15:06:52 EST
mingw-libIDL-0.8.14-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-libIDL-0.8.14-3.fc21
Comment 12 Fedora Update System 2015-01-28 15:00:06 EST
mingw-libIDL-0.8.14-3.fc21 has been pushed to the Fedora 21 testing repository.
Comment 13 Fedora Update System 2015-02-05 23:01:19 EST
mingw-libIDL-0.8.14-3.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.